File::Compare(3)

NAME
File::Compare - Compare files or filehandles

SYNOPSIS

        use File::Compare;
        if (compare("file1","file2") == 0) {
            print "They're equal\n";
        }

DESCRIPTION
The File::Compare::compare function compares the contents of two sources, each of which can be a file or a file handle. It is exported from File::Compare by default.

File::Compare::cmp is a synonym for File::Compare::compare. It is exported from File::Compare only by request.

RETURN
File::Compare::compare return 0 if the files are equal, 1 if the files are unequal, or -1 if an error was encountered.

AUTHOR
File::Compare was written by Nick Ing-Simmons. Its original documentation was written by Chip Salzenberg.